<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE configuration
        PUBLIC "-//ibatis.apache.org//DTD Config 3.0//EN"
        "http://ibatis.apache.org/dtd/ibatis-3-config.dtd">

<configuration>
	<properties resource="application.properties">
		<property name="hana_user" value="${hana_user}"/>
		<property name="hana_mandt" value="${hana_mandt}"/>
	</properties>
	<settings>
		<setting name="cacheEnabled" value="false" />
		<setting name="lazyLoadingEnabled" value="false" />
		<setting name="aggressiveLazyLoading" value="true" />
		<setting name="callSettersOnNulls" value="true"/>
<!-- 		<setting name="logImpl" value="STDOUT_LOGGING" /> -->
<!-- 		<setting name="logImpl" value="LOG4J"/> -->
	</settings>
</configuration>